# Calare is an initial attempt to build a consolidated solution that performs the following tasks
1 - From a parquest file representing source documents create clusters
2 - Create keywords for those clusters
3 - Pass the text to GPT to ask for a label

## Process:
* Create a config file using the create_config function
  * This includes: ```{
                "topic_column": topic_column,
                "target_column": target_column,
                "resample_rounds": resample_rounds,
                "resample_length": resample_length
            } ```
* If you would like to use a probability filter based on probabilities returned from a clustering process, you can use the ```create_probabilityDf``` function.
  * This will adjust the resampling process to only include documents where the cluster probability is greater than the specified threshold, unless the number of documents is less than ```resample_rounds``` * ```resample_length```
* Start the resampling process
  * Using the ```resample_df``` function, you can start the resampling process.

