## PMC-Patients Dataset
Dataset consists of the following files (all files listed below have train, dev, and test splits).

### task_1_patient2patient_similarity/PPS_train.json

PPS dataset is a list of triplets. Each entry is in format (patient_uid_1, patient_uid_2, similarity) where similarity has three values:0, 1, 2, indicating corresponding similarity.

### task_2_patient2patient_retrieval/PPR_train.json

A dict where the keys are `patient_uid` of queries and each entry is two lists of `patient_uid`, representing notes of similarity 1 and 2, respectively.

### task_3_patient2article_retrieval/PAR_train.json

A dict where the keys are `patient_uid` of queries and each entry is a list of `PMID`, representing articles relevant to the query.

### PPR_PAR_human_annotations.json

Ground-truth of patient-patient similarity and patient-article relevance of top 5 results given by BM25 on human-annotated patient notes.

The keys are `human_patient_id` and each entry is a dict with `PMID`s and `patient_uid`s as keys, representing articles and patients, respectively, and numbers as values indicating type of relevance/similarity. For details, see our paper.